<?php

/**
 * Fired when the plugin is uninstalled.
 *
 * When populating this file, consider the following flow
 * of control:
 *
 * - This method should be static
 * - Check if the $_REQUEST content actually is the plugin name
 * - Run an admin referrer check to make sure it goes through authentication
 * - Verify the output of $_GET makes sense
 * - Repeat with other user roles. Best directly by using the links/query string parameters.
 * - Repeat things for multisite. Once for a single site in the network, once sitewide.
 *
 * This file may be updated more in future version of the Boilerplate; however, this is the
 * general skeleton and outline for how the file should work.
 *
 * For more information, see the following discussion:
 * https://github.com/tommcfarlin/WordPress-Plugin-Boilerplate/pull/123#issuecomment-28541913
 *
 * @link       factureaza.ro
 * @since      1.4.3
 *
 * @package    F4
 */

// If uninstall not called from WordPress, then exit.
if ( ! defined( 'WP_UNINSTALL_PLUGIN' ) ) {
	exit;
} 

global $wpdb;

$wpdb->query( "DROP TABLE IF EXISTS REWSAKSDNSFFQYUFHALNOMKNEPZIOPLW, wp_wc_f4_api_key, wp_wc_f4_settings, wp_wc_f4_invoicing, wp_wc_f4_exchange_rates" );
wp_cache_flush();

?>
